'WEATHERBRIEF WEATHER SERVICE
'RADAR/L DATA MANIPULATOR
'BY PHIL BAUGHN
'10/87
'
'
'NOTE:   YOU MUST FIRST USE THE 'DEL-LF' UTILITY TO REMOVE
'        LINEFEEDS FROM THE DATA FILE.  ENTER 'RADAR.DAT' AS THE
'        OUTPUT FILE NAME, THEN RETURN TO RUN THIS PROGRAM.
'        BE CERTAIN THA DATA FILE BEGINS AND ENDS WITH DATA
'        LINES ONLY, DELETE ANY OTHERS.
'
'
'****************************************************************************
'****************************************************************************
'****************************************************************************
SCREEN 9
CLS

	WINDOW SCREEN (-30,-20)-(20,20)
		LINE (-30,-20)-(20,20),15,B
		LINE (-29.5,-19.5)-(19.5,19.5),14,B

COLOR 15,1
	LOCATE 12,16
		PRINT "WEATHERBRIEF <RADAR/L> PLOTTING PROGRAM - WXRAD10"
COLOR 14,1
	LOCATE 14,26
		PRINT "BY PHIL BAUGHN - OCTOBER 1987"
COLOR 4,1
	LOCATE 23,33
		PRINT "Press Any Key"




PAUSE0:
		A$=INKEY$
		IF A$="" GOTO PAUSE0




CLOSE #1, #2
COLOR 7,0
CLS




'****************************************************************************
'RAW RADAR DATA TRANSFORMED INTO 3 FIELDS HERE
'****************************************************************************




	OPEN "RADAR.DAT" AS #1 LEN=9
		FIELD #1, 3 AS LAT$, 3 AS LON$, 1 AS ITN$
	OPEN "RADAROUT.DAT" FOR OUTPUT AS #2
		GET #1
		PRINT #2,LAT$,LON$,ITN$
			WHILE NOT EOF(1)
				GET #1
				PRINT #2,LAT$,LON$,ITN$
			WEND
	CLOSE #1, #2




'****************************************************************************
'ACTUAL LATITUDE AND LONGITUDE CALCULATED HERE
'INTENSITY VALUES CHANGED INTO VARIOUS COLORS FOR PLOTTING
'VALUES STORED IN RESULTS FILE FOR CALLING DURING PLOTTING
'****************************************************************************




	OPEN "RADAROUT.DAT" FOR INPUT AS #1
	OPEN "RESULTS.DAT" FOR OUTPUT AS #2
		INPUT #1,LAT,LON,ITN
			LAT=LAT/10
			LON=(LON/10)+50
			IF ITN=1 THEN ITN=7
			IF ITN=2 THEN ITN=11
			IF ITN=3 THEN ITN=12
			IF ITN=4 THEN ITN=1
		PRINT #2,LAT,LON,ITN
			WHILE NOT EOF(1)
				INPUT #1,LAT,LON,ITN
				LAT=LAT/10
				LON=(LON/10)+50
				IF ITN=1 THEN ITN=7
				IF ITN=2 THEN ITN=11
				IF ITN=3 THEN ITN=12
				IF ITN=4 THEN ITN=1
				PRINT #2,LAT,LON,ITN
			WEND
	CLOSE #1, #2




'****************************************************************************
'SET UP DISPLAY SCREEN HERE
'****************************************************************************




SCREEN 9
WINDOW SCREEN (-30,-20)-(20,20)
LINE (-30,-20)-(20,20),5,B
LINE (-29.5,-19.5)-(19.5,19.5),6,B




'****************************************************************************
'LEGEND IN UPPER LEFT CORNER
'****************************************************************************




CIRCLE (-29,-17.7),.274,7
PAINT (-29,-17.7),7,7
CIRCLE (-29,-16.1),.274,11
PAINT (-29,-16.1),11,11
CIRCLE (-29,-14.5),.274,12
PAINT (-29,-14.5),12,12
CIRCLE (-29,-12.9),.274,1
PAINT (-29,-12.9),1,1
LINE (-28.334,-19.5)-(-28.334,-11.1),6
LINE (-29.5,-11.1)-(-28.334,-11.1),6




LOCATE 2,4:COLOR 7:PRINT "LIGHT"
LOCATE 3,4:COLOR 11:PRINT "MODERATE"
LOCATE 4,4:COLOR 12:PRINT "HEAVY"
LOCATE 5,4:COLOR 1:PRINT "EXTREME"




'****************************************************************************
'MAP CITIES AND DISTANCE RINGS GO HERE...
'****************************************************************************




CIRCLE (0,0),.15,3              'LEX
PAINT (0,0),3,3
CIRCLE (0,-1),.15,4             'CVG
PAINT (0,-1),4,4
CIRCLE (-1,0),.15,5             'SDF
PAINT (-1,0),5,5
CIRCLE (-5.28,-.5),.15,6        'STL
PAINT (-5.28,-.5),6,6
CIRCLE (0,4.19),.15,4           'ATL
PAINT (0,4.19),4,4
CIRCLE (-2.85,-3.67),.15,1      'CHI
PAINT (-2.85,-3.67),1,1
CIRCLE (4.12,-2.42),.15,2       'PIT
PAINT (4.12,-2.42),2,2




CIRCLE (0,0),2.5,9      ' 250 MILES
CIRCLE (0,0),5.0,9      ' 500 MILES
CIRCLE (0,0),7.5,9      ' 750 MILES
CIRCLE (0,0),10.0,9     '1000 MILES




LOCATE 11,75:COLOR 4:PRINT "CVG"
LINE (0,-1)-(1,-3.1),4
LINE (1,-3.1)-(15.5,-3.1),4
LOCATE 13,75:COLOR 3:PRINT "LEX"
LINE (0,0.1)-(15.5,0.1),3
LOCATE 15,75:COLOR 5:PRINT "SDF"
LINE (-1,0)-(1,3.1),5
LINE (1,3.1)-(15.5,3.1),5
LOCATE 17,75:COLOR 6:PRINT "STL"
LINE (-5.28,-.5)-(1,6.4),6
LINE (1,6.4)-(15.5,6.4),6
LOCATE 7,75:COLOR 1:PRINT "CHI"
LINE (-2.85,-3.67)-(1,-9.4),1
LINE (1,-9.4)-(15.5,-9.4),1
LOCATE 9,75:COLOR 2:PRINT "PIT"
LINE (4.12,-2.42)-(6,-6.4),2
LINE (6,-6.4)-(15.5,-6.4),2
LOCATE 19,75:COLOR 4:PRINT "ATL"
LINE (0,4.19)-(4,9.4),4
LINE (4,9.4)-(15.5,9.4),4




LOCATE 23,36:COLOR 9:PRINT "250Mi"
LOCATE 23,43:COLOR 9:PRINT "500Mi"
LOCATE 23,50:COLOR 9:PRINT "750Mi"
LOCATE 23,56:COLOR 9:PRINT "1000Mi"




LOCATE 2,77:COLOR 1:PRINT "N"
LINE (17,-18.5)-(17,-15),1
LINE (17,-18.5)-(16.75,-16.5),1
LINE (16.75,-16.5)-(17,-17.25),1




'****************************************************************************
'RADAR DATA PLOTTED HERE CENTERED ON LEXINGTON
'****************************************************************************




	OPEN "RESULTS.DAT" FOR INPUT AS #1
		INPUT #1,LAT,LON,ITN
		LALEX=38.03-LAT
		LOLEX=84.30-LON
			CIRCLE (LALEX,LOLEX),.274,ITN
			PAINT (LALEX,LOLEX),ITN,ITN
			WHILE NOT EOF(1)
				INPUT #1,LAT,LON,ITN
				LALEX=38.03-LAT
				LOLEX=84.30-LON
				CIRCLE (LALEX,LOLEX),.274,ITN
				PAINT (LALEX,LOLEX),ITN,ITN
			WEND
	CLOSE #1




LOCATE 2,28:COLOR 11:PRINT "WEATHERBRIEF RADAR/L PLOTTER"
LOCATE 20,9:COLOR 11:PRINT "By Phil Baughn"
LOCATE 21,9:COLOR 11:PRINT "   October '87"




PAUSE:
		A$=INKEY$
		IF A$="" GOTO PAUSE




'****************************************************************************
'****************************************************************************
'ZOOM SCREEN #1
'****************************************************************************
'****************************************************************************




CLS
WINDOW SCREEN (-10,-10)-(10,10)
CIRCLE (0,0),.15,1              'LEX
PAINT (0,0),1,1
CIRCLE (0,-1),.15,4             'CVG
PAINT (0,-1),4,4
CIRCLE (-1,0),.15,5             'SDF
PAINT (-1,0),5,5
CIRCLE (0,0),2.5,9      ' 250 MILES
CIRCLE (0,0),5.0,9      ' 500 MILES




	OPEN "RESULTS.DAT" FOR INPUT AS #1
		INPUT #1,LAT,LON,ITN
		LALEX=38.03-LAT
		LOLEX=84.30-LON
			CIRCLE (LALEX,LOLEX),.274,ITN
			PAINT (LALEX,LOLEX),ITN,ITN
			WHILE NOT EOF(1)
				INPUT #1,LAT,LON,ITN
				LALEX=38.03-LAT
				LOLEX=84.30-LON
				CIRCLE (LALEX,LOLEX),.274,ITN
				PAINT (LALEX,LOLEX),ITN,ITN
			WEND
	CLOSE #1




PAUSE2:
		A$=INKEY$
		IF A$="" GOTO PAUSE2




'****************************************************************************
'****************************************************************************
'ZOOM SCREEN #2
'****************************************************************************
'****************************************************************************




CLS
WINDOW SCREEN (-5,-5)-(5,5)
CIRCLE (0,0),.15,1              'LEX
PAINT (0,0),1,1
CIRCLE (0,-1),.15,4             'CVG
PAINT (0,-1),4,4
CIRCLE (-1,0),.15,5             'SDF
PAINT (-1,0),5,5
CIRCLE (0,0),2.5,9      ' 250 MILES
CIRCLE (0,0),5.0,9      ' 500 MILES




	OPEN "RESULTS.DAT" FOR INPUT AS #1
		INPUT #1,LAT,LON,ITN
		LALEX=38.03-LAT
		LOLEX=84.30-LON
			CIRCLE (LALEX,LOLEX),.274,ITN
			PAINT (LALEX,LOLEX),ITN,ITN
			WHILE NOT EOF(1)
				INPUT #1,LAT,LON,ITN
				LALEX=38.03-LAT
				LOLEX=84.30-LON
				CIRCLE (LALEX,LOLEX),.274,ITN
				PAINT (LALEX,LOLEX),ITN,ITN
			WEND
	CLOSE #1




PAUSE3:
		A$=INKEY$
		IF A$="" GOTO PAUSE3




'****************************************************************************
'****************************************************************************
'ZOOM SCREEN #3
'****************************************************************************
'****************************************************************************




CLS
WINDOW SCREEN (-2.5,-2.5)-(2.5,2.5)
CIRCLE (0,0),.15,1              'LEX
PAINT (0,0),1,1
CIRCLE (0,-1),.15,4             'CVG
PAINT (0,-1),4,4
CIRCLE (-1,0),.15,5             'SDF
PAINT (-1,0),5,5
CIRCLE (0,0),2.5,9      ' 250 MILES
CIRCLE (0,0),5.0,9      ' 500 MILES




	OPEN "RESULTS.DAT" FOR INPUT AS #1
		INPUT #1,LAT,LON,ITN
		LALEX=38.03-LAT
		LOLEX=84.30-LON
			CIRCLE (LALEX,LOLEX),.274,ITN
			PAINT (LALEX,LOLEX),ITN,ITN
			WHILE NOT EOF(1)
				INPUT #1,LAT,LON,ITN
				LALEX=38.03-LAT
				LOLEX=84.30-LON
				CIRCLE (LALEX,LOLEX),.274,ITN
				PAINT (LALEX,LOLEX),ITN,ITN
			WEND
	CLOSE #1




PAUSE4:
		A$=INKEY$
		IF A$="" GOTO PAUSE4




'****************************************************************************
'****************************************************************************
'ZOOM SCREEN #4
'****************************************************************************
'****************************************************************************




CLS
WINDOW SCREEN (-1,-1)-(1,1)
CIRCLE (0,0),.15,1              'LEX
PAINT (0,0),1,1
CIRCLE (0,-1),.15,4             'CVG
PAINT (0,-1),4,4
CIRCLE (-1,0),.15,5             'SDF
PAINT (-1,0),5,5
CIRCLE (0,0),2.5,9      ' 250 MILES
CIRCLE (0,0),5.0,9      ' 500 MILES




	OPEN "RESULTS.DAT" FOR INPUT AS #1
		INPUT #1,LAT,LON,ITN
		LALEX=38.03-LAT
		LOLEX=84.30-LON
			CIRCLE (LALEX,LOLEX),.274,ITN
			PAINT (LALEX,LOLEX),ITN,ITN
			WHILE NOT EOF(1)
				INPUT #1,LAT,LON,ITN
				LALEX=38.03-LAT
				LOLEX=84.30-LON
				CIRCLE (LALEX,LOLEX),.274,ITN
				PAINT (LALEX,LOLEX),ITN,ITN
			WEND
	CLOSE #1




PAUSE5:
		A$=INKEY$
		IF A$="" GOTO PAUSE5




'****************************************************************************
'****************************************************************************
'BACK TO FULL SCREEN BEFORE CLOSING
'****************************************************************************
'****************************************************************************




CLS
SCREEN 9
WINDOW SCREEN (-30,-20)-(20,20)
LINE (-30,-20)-(20,20),5,B
LINE (-29.5,-19.5)-(19.5,19.5),6,B




'****************************************************************************
'LEGEND IN UPPER LEFT CORNER
'****************************************************************************




CIRCLE (-29,-17.7),.274,7
PAINT (-29,-17.7),7,7
CIRCLE (-29,-16.1),.274,11
PAINT (-29,-16.1),11,11
CIRCLE (-29,-14.5),.274,12
PAINT (-29,-14.5),12,12
CIRCLE (-29,-12.9),.274,1
PAINT (-29,-12.9),1,1
LINE (-28.334,-19.5)-(-28.334,-11.1),6
LINE (-29.5,-11.1)-(-28.334,-11.1),6




LOCATE 2,4:COLOR 7:PRINT "LIGHT"
LOCATE 3,4:COLOR 11:PRINT "MODERATE"
LOCATE 4,4:COLOR 12:PRINT "HEAVY"
LOCATE 5,4:COLOR 1:PRINT "EXTREME"




'****************************************************************************
'MAP CITIES AND DISTANCE RINGS GO HERE...
'****************************************************************************




CIRCLE (0,0),.15,3              'LEX
PAINT (0,0),3,3
CIRCLE (0,-1),.15,4             'CVG
PAINT (0,-1),4,4
CIRCLE (-1,0),.15,5             'SDF
PAINT (-1,0),5,5
CIRCLE (-5.28,-.5),.15,6        'STL
PAINT (-5.28,-.5),6,6
CIRCLE (0,4.19),.15,4           'ATL
PAINT (0,4.19),4,4
CIRCLE (-2.85,-3.67),.15,1      'CHI
PAINT (-2.85,-3.67),1,1
CIRCLE (4.12,-2.42),.15,2       'PIT
PAINT (4.12,-2.42),2,2




CIRCLE (0,0),2.5,9      ' 250 MILES
CIRCLE (0,0),5.0,9      ' 500 MILES
CIRCLE (0,0),7.5,9      ' 750 MILES
CIRCLE (0,0),10.0,9     '1000 MILES




LOCATE 11,75:COLOR 4:PRINT "CVG"
LINE (0,-1)-(1,-3.1),4
LINE (1,-3.1)-(15.5,-3.1),4
LOCATE 13,75:COLOR 3:PRINT "LEX"
LINE (0,0.1)-(15.5,0.1),3
LOCATE 15,75:COLOR 5:PRINT "SDF"
LINE (-1,0)-(1,3.1),5
LINE (1,3.1)-(15.5,3.1),5
LOCATE 17,75:COLOR 6:PRINT "STL"
LINE (-5.28,-.5)-(1,6.4),6
LINE (1,6.4)-(15.5,6.4),6
LOCATE 7,75:COLOR 1:PRINT "CHI"
LINE (-2.85,-3.67)-(1,-9.4),1
LINE (1,-9.4)-(15.5,-9.4),1
LOCATE 9,75:COLOR 2:PRINT "PIT"
LINE (4.12,-2.42)-(6,-6.4),2
LINE (6,-6.4)-(15.5,-6.4),2
LOCATE 19,75:COLOR 4:PRINT "ATL"
LINE (0,4.19)-(4,9.4),4
LINE (4,9.4)-(15.5,9.4),4




LOCATE 23,36:COLOR 9:PRINT "250Mi"
LOCATE 23,43:COLOR 9:PRINT "500Mi"
LOCATE 23,50:COLOR 9:PRINT "750Mi"
LOCATE 23,56:COLOR 9:PRINT "1000Mi"




LOCATE 2,77:COLOR 1:PRINT "N"
LINE (17,-18.5)-(17,-15),1
LINE (17,-18.5)-(16.75,-16.5),1
LINE (16.75,-16.5)-(17,-17.25),1




'****************************************************************************
'RADAR DATA PLOTTED HERE CENTERED ON LEXINGTON
'****************************************************************************




	OPEN "RESULTS.DAT" FOR INPUT AS #1
		INPUT #1,LAT,LON,ITN
		LALEX=38.03-LAT
		LOLEX=84.30-LON
			CIRCLE (LALEX,LOLEX),.274,ITN
			PAINT (LALEX,LOLEX),ITN,ITN
			WHILE NOT EOF(1)
				INPUT #1,LAT,LON,ITN
				LALEX=38.03-LAT
				LOLEX=84.30-LON
				CIRCLE (LALEX,LOLEX),.274,ITN
				PAINT (LALEX,LOLEX),ITN,ITN
			WEND
	CLOSE #1




LOCATE 2,28:COLOR 11:PRINT "WEATHERBRIEF RADAR/L PLOTTER"
LOCATE 20,9:COLOR 11:PRINT "By Phil Baughn"
LOCATE 21,9:COLOR 11:PRINT "   October '87"




PAUSE6:
		A$=INKEY$
		IF A$="" GOTO PAUSE6




'****************************************************************************
'CLOSE UP PROGRAM AND END
'****************************************************************************



'END OF PROGRAM
'****************************************************************************
'****************************************************************************
